%define module   Variable-Magic
%define version    0.32
%define release    %mkrel 1

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Associate magic to variables from Perl
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Variable/%{module}-%{version}.tar.gz
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Magic is Perl way of enhancing objects. This mechanism let the user add
extra data to any variable and hook syntaxical operations (such as access,
assignation or destruction) that can be applied to it. With this module,
you can add your own magic to any variable without the pain of the C API.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3/*
%perl_vendorarch/Variable
%perl_vendorarch/auto/Variable



%changelog
* Mon Mar 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2009.1
+ Revision: 346934
- update to new version 0.32

* Fri Feb 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.1
+ Revision: 343198
- update to new version 0.31

* Fri Feb 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2009.1
+ Revision: 340031
- update to new version 0.30

* Mon Feb 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2009.1
+ Revision: 338672
- update to new version 0.29

* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2009.1
+ Revision: 333404
- update to new version 0.28

* Tue Jan 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2009.1
+ Revision: 331595
- update to new version 0.27
- update to new version 0.27

* Mon Jan 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2009.1
+ Revision: 324970
- import perl-Variable-Magic


* Mon Jan 05 2009 cpan2dist 0.26-1mdv
- initial mdv release, generated with cpan2dist

